<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('business_card_requests', function (Blueprint $table) {
            $table->unsignedBigInteger('ordered_by')->nullable()->after('status')->comment('제작의뢰 처리자 ID');
            $table->timestamp('ordered_at')->nullable()->after('ordered_by')->comment('제작의뢰 일시');
        });
    }

    public function down(): void
    {
        Schema::table('business_card_requests', function (Blueprint $table) {
            $table->dropColumn(['ordered_by', 'ordered_at']);
        });
    }
};
